summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorminfrin <minfrin@13f79535-47bb-0310-9956-ffa450edef68>2004-12-16 00:36:31 +0000
committerminfrin <minfrin@13f79535-47bb-0310-9956-ffa450edef68>2004-12-16 00:36:31 +0000
commit03f199913aab69deb8165b881a5b0c0ebcf45de5 (patch)
treef3d983096023c14c9334db9d117159c5e99896f4
parent49158abab5802998cc724467a6287389919b4023 (diff)
downloadlibapr-03f199913aab69deb8165b881a5b0c0ebcf45de5.tar.gz
Add a build script to create a solaris package.
git-svn-id: http://svn.apache.org/repos/asf/apr/apr/branches/1.0.x@112366 13f79535-47bb-0310-9956-ffa450edef68
-rw-r--r--CHANGES2
-rw-r--r--build/pkg/README20
-rwxr-xr-xbuild/pkg/buildpkg.sh70
-rw-r--r--build/pkg/pkginfo.in11
-rw-r--r--configure.in1
5 files changed, 104 insertions, 0 deletions
diff --git a/CHANGES b/CHANGES
index 7cb4fded9..846c8536a 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,5 +1,7 @@
Changes for APR 1.0.2
+ *) Add a build script to create a solaris package. [Graham Leggett]
+
*) [NetWare] Fixed some type mismatches in threadproc/netware/proc.c and
locks/netware/thread_mutex.c that prevented APR from building with the
latest release of the LibC SDK. [Brad Nicholes]
diff --git a/build/pkg/README b/build/pkg/README
new file mode 100644
index 000000000..ce1c9b73a
--- /dev/null
+++ b/build/pkg/README
@@ -0,0 +1,20 @@
+The script in this directory will attempt to build a Solaris package
+out of a source tree for APR.
+
+To build a package, make sure you are in the root of the source tree,
+and run:
+
+build/pkg/buildpkg.sh
+
+A Solaris package called apr-<version>-<architecture>-local.gz will be
+created in the root of the source tree.
+
+By default, if you attempt to build packages for apr-util, it will
+search for the sources for apr in:
+
+../apr
+
+You may override the location of apr like so:
+
+build/pkg/buildpkg.sh --with-apr=some/other/path
+
diff --git a/build/pkg/buildpkg.sh b/build/pkg/buildpkg.sh
new file mode 100755
index 000000000..5177ef8c3
--- /dev/null
+++ b/build/pkg/buildpkg.sh
@@ -0,0 +1,70 @@
+#!/bin/sh
+# Copyright 2000-2004 The Apache Software Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+#
+
+# buildpkg.sh: This script builds a Solaris PKG from the source tree
+# provided.
+
+PREFIX=/usr/local
+TEMPDIR=/var/tmp/$USER/apr-root
+rm -rf $TEMPDIR
+
+apr_src_dir=.
+
+while test $# -gt 0
+do
+ # Normalize
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --with-apr=*)
+ apr_src_dir=$optarg
+ ;;
+ esac
+
+ shift
+done
+
+if [ -f "$apr_src_dir/configure.in" ]; then
+ cd $apr_src_dir
+else
+ echo "The apr source could not be found within $apr_src_dir"
+ echo "Usage: buildpkg [--with-apr=dir]"
+ exit 1
+fi
+
+./configure --prefix=$PREFIX
+make
+make install DESTDIR=$TEMPDIR
+. build/pkg/pkginfo
+cp build/pkg/pkginfo $TEMPDIR$PREFIX
+
+current=`pwd`
+cd $TEMPDIR$PREFIX
+echo "i pkginfo=./pkginfo" > prototype
+find . -print | grep -v ./prototype | grep -v ./pkginfo | pkgproto | awk '{print $1" "$2" "$3" "$4" root bin"}' >> prototype
+mkdir $TEMPDIR/pkg
+pkgmk -r $TEMPDIR$PREFIX -d $TEMPDIR/pkg
+
+cd $current
+pkgtrans -s $TEMPDIR/pkg $current/$NAME-$VERSION-$ARCH-local
+gzip $current/$NAME-$VERSION-$ARCH-local
+
+rm -rf $TEMPDIR
+
diff --git a/build/pkg/pkginfo.in b/build/pkg/pkginfo.in
new file mode 100644
index 000000000..6110a55f6
--- /dev/null
+++ b/build/pkg/pkginfo.in
@@ -0,0 +1,11 @@
+PKG="ASFapr"
+NAME="apr"
+ARCH="@target_cpu@"
+VERSION="@APR_DOTTED_VERSION@"
+CATEGORY="application"
+VENDOR="Apache Software Foundation"
+EMAIL="dev@apr.apache.org"
+PSTAMP="dev@apr.apache.org"
+BASEDIR="@prefix@"
+CLASSES="none"
+
diff --git a/configure.in b/configure.in
index 227972a97..dd53c16d4 100644
--- a/configure.in
+++ b/configure.in
@@ -2020,6 +2020,7 @@ AC_OUTPUT([
$MAKEFILES
include/apr.h
build/apr_rules.mk
+ build/pkg/pkginfo
apr-$APR_MAJOR_VERSION-config:apr-config.in
apr.pc
],[